#!/usr/bin/env python
# -*- coding: utf-8 -*-

# # Upload data
# 
# Material for the hackathon ENSAE / Red Cross / 2015. Upload data to a blob storage.

# In[1]:


from jyquickhelper import add_notebook_menu
add_notebook_menu()


# ## Connexion to the blob storage

# In[2]:


from pyquickhelper.loghelper import get_password
hackathon = {}
hackathon["blob_storage"] = get_password("CRCREDENTIALS", "blobstorage")
hackathon["password"] = get_password("CRCREDENTIALS", "password")


# In[3]:


blobstorage = hackathon["blob_storage"]
blobpassword = hackathon["password"]


# In[4]:


get_ipython().run_line_magic('load_ext', 'pyensae')


# In[5]:


cl, bs = get_ipython().run_line_magic('blob_open', '')
cl, bs


# In[6]:


get_ipython().run_line_magic('blob_containers', '')


# ## Upload data

# In[7]:


get_ipython().run_cell_magic('file', 'readme.txt', '\nThis folder conains data for the Red Cross.\n')


# In[8]:


get_ipython().run_line_magic('blob_up', 'readme.txt croix-rouge/readme.txt')


# In[9]:


get_ipython().run_line_magic('blob_ls', 'croix-rouge')


# In[10]:


import os
files = ["ITMMASTER.schema.txt", "SINVOICE.schema.txt", "SINVOICEV.schema.txt"]
for file in files:
    print("upload", file, os.stat(file).st_size)
    cl.upload(bs, "croix-rouge", "data/" + file, file)


# In[11]:


import os
files = ["enseignes_france.csv", "ITMMASTER.txt", "SINVOICE.txt", "SINVOICEV.txt",
         "stojou.csv"]
for file in files:
    print("upload", file, os.stat(file).st_size)
    cl.upload(bs, "croix-rouge", "data/" + file, file)


# In[12]:


import os
files = ["SINVOICE_.txt", "SINVOICEV_.txt"]
for file in files:
    print("upload", file, os.stat(file).st_size)
    cl.upload(bs, "croix-rouge", "data/" + file, file)


# In[13]:


get_ipython().run_line_magic('blob_ls', 'croix-rouge/data')


# ## Upload preprocessed data

# In[14]:


get_ipython().run_line_magic('blob_up', 'SINVOICE_M.csv croix-rouge/build/SINVOICE_M.csv')


# In[15]:


get_ipython().run_line_magic('blob_up', 'Test_CRFFOR.GACCTMPD.csv croix-rouge/build/Test_CRFFOR.GACCTMPD.csv')


# In[16]:


get_ipython().run_line_magic('blob_ls', 'croix-rouge/build')


# ## Close connection

# In[17]:


get_ipython().run_line_magic('blob_close', '')


# In[18]: